For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
      • GETList all API Logs
      • GETRetrieve an API Log
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceAPI Logs

List all API Logs

GET
https://api.withpersona.com/api/v1/api-logs
GET
/api/v1/api-logs
$curl https://api.withpersona.com/api/v1/api-logs \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "api-log",
5 "id": "req_ABC123",
6 "attributes": {
7 "request": {
8 "method": "GET",
9 "path": "/api/v1/inquiries",
10 "headers": {
11 "Accept": "application/json",
12 "Host": "withpersona.com",
13 "Persona-Version": "2023-01-05",
14 "User-Agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/"
15 },
16 "get-params": {},
17 "post-params": {},
18 "ip-address": "127.0.0.1"
19 },
20 "response": {
21 "status": 200,
22 "headers": {
23 "Persona-Host": "us-central1 persona-web-web-77b874ff88-rrdk9 53e23b240",
24 "Cache-Control": "no-cache, no-store, max-age=0, must-revalidate",
25 "Pragma": "no-cache",
26 "Expires": "Fri, 01 Jan 1990 00:00:00 GMT",
27 "RateLimit-Limit": 300,
28 "RateLimit-Remaining": 299,
29 "RateLimit-Reset": 60,
30 "Request-Id": "req_ABC123",
31 "Content-Type": "application/json; charset=utf-8",
32 "Vary": "Accept"
33 }
34 },
35 "created-at": "2023-09-20T20:20:03.485+00:00"
36 }
37 }
38 ],
39 "links": {
40 "next": "/api/v1/api-logs?page%5Bafter%5D=req_ByBdXDqUrguLAHjGZMuDZLCx",
41 "prev": "/api/v1/api-logs?page%5Bbefore%5D=req_1ePP8j3pyznPCEuw4TCjWWD0"
42 }
43}
Returns a list of your organization's API Logs. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Retrieve an API Log

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a collection of API log objects.
datalist of objects
An array of API Logs
linksobject
includedlist of any

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.